Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
ChargebeechargebeeAPI

Export Subscriptions

Idempotency Supported

This API triggers export of subscription data. The exported zip file contains CSV files with subscription-related data.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/exports/subscriptions

Input Parameters

export_type
optional, enumerated string, default=data

Determines the format of the data. Returns the export type based on the selected value.

Enum Values
data

Download your current data in CSV.

import_friendly_data

Download import friendly data in CSV. This CSV can be used to perform bulk operations .

item_id
optional, string

optional, string filter

The plan item code. Supported operators : is, is_not, starts_with, in, not_in

Example → item_id[is] = "silver"

item_price_id
optional, string

optional, string filter

The plan item price code. Supported operators : is, is_not, starts_with, in, not_in

Example → item_price_id[is] = "silver-USD-monthly"

cancel_reason_code
optional, string

optional, string filter

Reason code for canceling the subscription. Must be one from a list of reason codes set in the Chargebee app in Settings > Configure Chargebee > Reason Codes > Subscriptions > Subscription Cancellation. Must be passed if set as mandatory in the app. The codes are case-sensitive. Supported operators : is, is_not, starts_with, in, not_in

Example → cancel_reason_code[is] = "Not Paid"

subscription
Parameters for subscription
pass parameters as subscription[<param name>]

Returns

Export object
Resource object representing export